Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class ThresholdMonitor

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.monitor.JBossMonitor
                  org.jboss.monitor.ThresholdMonitor

All Implemented Interfaces:
  JBossMonitorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Runnable, org.jboss.system.Service, org.jboss.system.ServiceMBean, ThresholdMonitorMBean

public class ThresholdMonitor
extends JBossMonitor
implements ThresholdMonitorMBean, Runnable

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary
`protected Class` | `attributeClass`
`protected int` | `compareTo`
`protected Number` | `thresholdValue`

Fields inherited from class org.jboss.monitor.JBossMonitor
`alertListeners, alertSent, attribute, enabled, log, monitorName, observedObject, period, thresholdString, triggeredAttributeValue, triggerTime`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ThresholdMonitor()`

Method Summary
`protected int` | `compare(Object value)`
`int` | `getCompareTo()`
`Number` | `getThresholdValue()` real actual numeric threshold value
`protected void` | `parseThresholdValue()`
`void` | `setCompareTo(int compare)`
`void` | `setThreshold(String val)`
`protected void` | `startService()`
`protected void` | `testThreshold()`

Methods inherited from class org.jboss.monitor.JBossMonitor
`alerted, clearAlert, getAlertListeners, getEnabled, getMonitorName, getObservedAttribute, getObservedObject, getPeriod, getThreshold, getTriggeredAttributeValue, getTriggerTime, run, setAlertListeners, setEnabled, setMonitorName, setObservedAttribute, setObservedObject, setPeriod, startMonitorThread, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.monitor.JBossMonitorMBean
`alerted, clearAlert, getAlertListeners, getEnabled, getMonitorName, getObservedAttribute, getObservedObject, getPeriod, getThreshold, getTriggeredAttributeValue, getTriggerTime, setAlertListeners, setEnabled, setMonitorName, setObservedAttribute, setObservedObject, setPeriod`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface java.lang.Runnable
`run`

Field Detail

### thresholdValue

    protected Number thresholdValue

### compareTo

    protected int compareTo

### attributeClass

    protected Class attributeClass

Constructor Detail

### ThresholdMonitor

    public ThresholdMonitor()

Method Detail

### parseThresholdValue

    protected void parseThresholdValue()

### compare

    protected int compare(Object value)

### startService

    protected void startService()
                         throws Exception

  Overrides:
    `startService` in class `JBossMonitor`
  Throws:
    `Exception`

### testThreshold

    protected void testThreshold()

  Specified by:
    `testThreshold` in class `JBossMonitor`

### getCompareTo

    public int getCompareTo()

  Specified by:
    `getCompareTo` in interface `ThresholdMonitorMBean`

### setCompareTo

    public void setCompareTo(int compare)

  Specified by:
    `setCompareTo` in interface `ThresholdMonitorMBean`

### getThresholdValue

    public Number getThresholdValue()

  Description copied from interface: `ThresholdMonitorMBean`
  real actual numeric threshold value

  Specified by:
    `getThresholdValue` in interface `ThresholdMonitorMBean`
  Returns:

### setThreshold

    public void setThreshold(String val)

  Specified by:
    `setThreshold` in interface `JBossMonitorMBean`
  Overrides:
    `setThreshold` in class `JBossMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.